/***********************************************************************/
/*  This file is part of the ARM Toolchain package                     */
/*  Copyright (c) 2010 Keil - An ARM Company. All rights reserved.     */
/***********************************************************************/
/*                                                                     */
/*  FlashDev.C:  Device Description for New Device Flash               */
/*                                                                     */
/***********************************************************************/

#include "..\FlashOS.H"        // FlashOS Structures



 

struct FlashDevice const FlashDevice  =  {
   FLASH_DRV_VERS,             // Driver Version, do not modify!
  
#ifdef RS14100_1MB
   "RS14100_1MB_FLASH",
#else
   "RS14100_4MB_FLASH",
#endif

   EXTSPI,                     // Device Type
   0x8012000 ,                 // Device Start Address
#ifdef RS14100_1MB
   0xEE000,                   // Device Size in Bytes
#else
   0x3EE000,
#endif
   256,                        // Programming Page Size
   0,                          // Reserved, must be 0
   0xFF,                       // Initial Content of Erased Memory
   10000,                 		 // Program Page Timeout in mSec
   10000,                 		 // Erase Sector Timeout in mSec
	
// Specify Size and Address of Sectors
   0x001000, 0x000000,         // Sector Size  4kB (1024 Sectors)
   SECTOR_END
};


