/**
 * @file       rsi_egpio.c
 * @version    0.9.3
 * @date       6th March,2017
 *
 * Copyright(C) Redpine Signals 2016
 * All rights reserved by Redpine Signals.
 *
 * @section License
 * This program should be used on your own responsibility.
 * Redpine Signals assumes no responsibility for any losses
 * incurred by customers or third parties arising from the use of this file.
 *
 * @brief This files contains functions prototypes related to EGPIO peripheral
 * 
 * @section Description
 * This file contains the list of function prototypes for the EGPIO and low level function definitions
 * Following are list of API's which need to be defined in this file.
 *
 */


/**
 * Includes
 */
 
#include "rsi_egpio.h"
/*****************************************************************************
 * Private types/enumerations/variables
 ****************************************************************************/
 /* -------------------  Start of section using anonymous unions  ------------------ */

/*****************************************************************************
 * Private functions
 ****************************************************************************/

/*****************************************************************************
 * Public functions
 ****************************************************************************/ 
	
void RSI_EGPIO_SetPinMux(uint8_t port , uint8_t pin , uint8_t mux)
{
//	pEGPIO->PIN_CONFIG[(port * 16)+ pin].GPIO_CONFIG_REG_b.MODE =(mux);
	EGPIO_MUX(port,pin) = ((mux << 2)|BIT(0));
}

void RSI_EGPIO_PadSelectionEnable(uint8_t padNum)
{
	/*(tass_m4ss_gpio_sel)PAD selection (0 t0 21) A value of 1 on this gives control to M4SS(by default it is 0 means ta controll) */
	PADSELECTION |=(0x1<< padNum);
}

void RSI_EGPIO_PadSelectionDisable(uint8_t padNum)
{
	/*(tass_m4ss_gpio_sel)PAD selection (0 t0 21) A value of 1 on this gives control to M4SS(by default it is 0 means ta controll) */
	PADSELECTION &= ~(0x1<< padNum);
}

void RSI_EGPIO_PadReceiverEnable(uint8_t u8GpioNum)
{
	/*REN enable bit(this should be enable)*/
	PAD_CONFIG_REG(u8GpioNum) |= (0x1<<4);
}


/*End of file not truncated */
